# Monaca CLI チュートリアル

Monaca CLI は、Monaca アプリ向けのローカル環境用の開発ツールです。Monaca CLI は、コマンドライン形式のインターフェイスであり、Monaca CLI を使用すれば、Monaca クラウドが提供するサービスをローカル PC から使用できます。Monaca CLI の機能は多岐にわたり、ローカルプロジェクトの作成、既存のプロジェクトのインポートまたはクローン ( Monaca クラウドからローカル PC へ )、インスペクタと連携したデバッグ、リモートビルド ( ローカルでの各種設定は不要 ) などができます。また、使い慣れたエディターと Monaca CLI を併用して、開発も行えます。

このチュートリアルを始める前に、下記が必要になります。

* 次のコマンド ([詳細はこちら](/products_guide/monaca_cli/overview.md)) を使用して Monaca CLI をインストールします。

  ```javascript
    $ npm install -g monaca
  ```
* \[オプション] 端末でテストする場合は、対象端末 (iOS または Androi) をご用意ください。

{% content-ref url="/pages/-MfWrbFfkuFOke97rH8k" %}
[パート 1 : プロジェクトの作成](/tutorials/monaca_cli/starting_project.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWrbFHfPSbYAsFpuxH" %}
[パート 2 : Monaca CLI と Monaca デバッガーとの連携](/tutorials/monaca_cli/testing_debugging.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWrbGvAEVKb6KQXIEB" %}
[パート 3 : Monaca アプリのビルド](/tutorials/monaca_cli/building_app.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWrbHA-84XZBnxvC3-" %}
[パート 4 : Monaca アプリの配布申請](/tutorials/monaca_cli/publishing_app.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ja.docs.monaca.io/tutorials/monaca_cli.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
